variables:
  AWS_BUILD_SUBDIR: provider/notification-aws/build-aws
  AWS_TEST_SUBDIR: testing/notification-test-aws
  AWS_CHART_SUBDIR: devops/aws/chart
  AWS_SERVICE: notification
  AWS_SERVICE_GATEWAY: osdu-gateway
  AWS_ENVIRONMENT: dev
  AWS_DEPLOY_TARGET: TF
  AWS_EKS_DEPLOYMENT_NAME: os-notification

  AZURE_SERVICE: notification
  AZURE_BUILD_SUBDIR: provider/notification-azure
  AZURE_TEST_SUBDIR: testing/notification-test-azure
  AZURE_DEPLOYMENTS_SUBDIR: deployments/scripts/azure
  AZURE_COVERAGE_THRESHOLD: 80

  IBM_BUILD_SUBDIR: provider/notification-ibm
  IBM_INT_TEST_SUBDIR: testing/notification-test-ibm
  IBM_HELM_CONFIG_PATH: devops/ibm/ibm-notification-config
  IBM_HELM_DEPLOY_PATH: devops/ibm/ibm-notification-deploy

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"
    ref: release/0.24

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"
    ref: release/0.24

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa-maven.yml"
    ref: release/0.24

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"
    ref: release/0.24

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/azure.yml"
    ref: release/0.24

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/gc-global.yml"
    ref: release/0.24

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"
    ref: release/0.24

  # aws
  - local: "devops/aws/pipeline/override-stages.yml"

  - local: "devops/gc/pipeline/override-stages.yml"
